Bug 625778 - [maint_window] python error on rhn_check->packages.checkNeedUpdate
[maint_window] python error on rhn_check->packages.checkNeedUpdate
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
540
All Linux
high Severity high
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On: 626737 626739
Blocks: sat540-maint-window 625708
  Show dependency treegraph
 
Reported: 2010-08-20 08:25 EDT by Garik Khachikyan
Modified: 2015-01-04 16:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-29 03:55:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2010-08-20 08:25:24 EDT
Description of problem:
Let's have satellite/client both configured to accept staging content (Enable Staging Contents - SAT; stagingContent=1, stagingContentWindow=1 - Client).
Then a simple rhn_check on client side brakes with python exceptions in /var/log/up2date:
---
[Fri Aug 20 14:07:07 2010] up2date successfully retrieved authentication token from up2date server
[Fri Aug 20 14:07:18 2010] up2date Updating package profile
[Fri Aug 20 14:07:37 2010] up2date Updating package profile
[Fri Aug 20 14:10:59 2010] up2date D: do_call packages.checkNeedUpdate ('rhnsd=1',) {}
[Fri Aug 20 14:10:59 2010] up2date
Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 330, in __run_action
    (status, message, data) = CheckCli.__do_call(method, params, kwargs)
  File "/usr/sbin/rhn_check", line 322, in __do_call
    method = getMethod.getMethod(method, "/usr/share/rhn/", "actions")
  File "/usr/share/rhn/up2date_client/getMethod.py", line 78, in getMethod
    actions = __import__(modulename)
  File "/usr/share/rhn/actions/packages.py", line 256, in ?
    yum_base = YumAction()
  File "/usr/share/rhn/actions/packages.py", line 52, in __init__
    self.doConfigSetup(debuglevel=rhncli.cfg["debug"])
exceptions.AttributeError: 'module' object has no attribute 'cfg'

[Fri Aug 20 14:10:59 2010] up2date D: local action status:  ((6,), 'Fatal error in Python code occured', {})
[Fri Aug 20 14:10:59 2010] up2date D: rpcServer: Calling XMLRPC registration.welcome_message
---

Version-Release number of selected component (if applicable):
rhn-client-tools-1.2.1-1.el5

How reproducible:
always on client with a latest rhn-client-tools content (from Spacewalk build system)

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
python exception in /var/log/up2date

Expected results:
no exceptions at all, should be functioning ok

Additional info:
Comment 1 Garik Khachikyan 2010-08-20 08:26:28 EDT
it's actually blocks the whole testing process of the feature.

putting as a blocker issue.
Comment 2 Michael Mráka 2010-08-23 07:26:56 EDT
The issue has been fixed in bug 589120.
Anyway latest rhn-client-tools should require newer yum-rhn-plugin.

Fixed in spacewalk master
commit c51b0848f29603f203c9756a8614c8a8f5c2056b
    625778 - require newer yum-rhn-plugin
Comment 3 Michael Mráka 2010-08-24 05:57:51 EDT
This is a bug in client code. Inclusion into RHEL5 tracked as bug 626737 and RHEL6 as bug 626739.
Comment 4 Michael Mráka 2010-09-29 03:55:05 EDT
According to comment #3 the bug is tracked under appropriate client component and there's no issue on server side.

Note You need to log in before you can comment on or make changes to this bug.